Skip to main content
`Ctrl`+`K`

# PetscSFMerge

append/merge indices of `sfb` into `sfa`, with preference for `sfb`

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFMerge(PetscSF sfa, PetscSF sfb, PetscSF *merged)

Collective

## Input Parameters

- sfa - default `PetscSF`

- sfb - additional edges to add/replace edges in `sfa`

## Output Parameter

- merged - new `PetscSF` with combined edges

## See Also

PetscSF - an alternative to low-level MPI calls for data communication, `PetscSF`, `PetscSFCompose()`

## Level

intermediate

## Location

src/vec/is/sf/utils/sfutils.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages